Index: code/branches/core6/src/orxonox/Level.cc
===================================================================
--- code/branches/core6/src/orxonox/Level.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/Level.cc	(revision 9629)
@@ -45,5 +45,5 @@
     CreateFactory(Level);
 
-    Level::Level(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Level::Level(Context* context) : BaseObject(context), Synchronisable(context), Context(context)
     {
         RegisterObject(Level);
Index: code/branches/core6/src/orxonox/Level.h
===================================================================
--- code/branches/core6/src/orxonox/Level.h	(revision 9612)
+++ code/branches/core6/src/orxonox/Level.h	(revision 9629)
@@ -41,8 +41,8 @@
 namespace orxonox
 {
-    class _OrxonoxExport Level : public BaseObject, public Synchronisable
+    class _OrxonoxExport Level : public BaseObject, public Synchronisable, public Context
     {
         public:
-            Level(BaseObject* creator);
+            Level(Context* context);
             virtual ~Level();
 
Index: code/branches/core6/src/orxonox/LevelInfo.cc
===================================================================
--- code/branches/core6/src/orxonox/LevelInfo.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/LevelInfo.cc	(revision 9629)
@@ -250,5 +250,5 @@
         The creator of this object.
     */
-    LevelInfo::LevelInfo(BaseObject* creator) : BaseObject(creator)
+    LevelInfo::LevelInfo(Context* context) : BaseObject(context)
     {
         RegisterObject(LevelInfo);
Index: code/branches/core6/src/orxonox/LevelInfo.h
===================================================================
--- code/branches/core6/src/orxonox/LevelInfo.h	(revision 9612)
+++ code/branches/core6/src/orxonox/LevelInfo.h	(revision 9629)
@@ -204,5 +204,5 @@
     {
         public:
-            LevelInfo(BaseObject* creator);
+            LevelInfo(Context* context);
             virtual ~LevelInfo();
 
Index: code/branches/core6/src/orxonox/Scene.cc
===================================================================
--- code/branches/core6/src/orxonox/Scene.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/Scene.cc	(revision 9629)
@@ -53,5 +53,5 @@
     CreateFactory(Scene);
 
-    Scene::Scene(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Scene::Scene(Context* context) : BaseObject(context), Synchronisable(context), Context(context)
     {
         RegisterObject(Scene);
Index: code/branches/core6/src/orxonox/Scene.h
===================================================================
--- code/branches/core6/src/orxonox/Scene.h	(revision 9612)
+++ code/branches/core6/src/orxonox/Scene.h	(revision 9629)
@@ -45,8 +45,8 @@
 namespace orxonox
 {
-    class _OrxonoxExport Scene : public BaseObject, public Synchronisable, public Tickable
+    class _OrxonoxExport Scene : public BaseObject, public Synchronisable, public Tickable, public Context
     {
         public:
-            Scene(BaseObject* creator);
+            Scene(Context* context);
             virtual ~Scene();
 
Index: code/branches/core6/src/orxonox/Test.cc
===================================================================
--- code/branches/core6/src/orxonox/Test.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/Test.cc	(revision 9629)
@@ -56,5 +56,5 @@
     Test* Test::instance_ = 0;
 
-    Test::Test(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Test::Test(Context* context) : BaseObject(context), Synchronisable(context)
     {
         assert(instance_==0);
Index: code/branches/core6/src/orxonox/Test.h
===================================================================
--- code/branches/core6/src/orxonox/Test.h	(revision 9612)
+++ code/branches/core6/src/orxonox/Test.h	(revision 9629)
@@ -46,5 +46,5 @@
   {
     public:
-      Test(BaseObject* creator);
+      Test(Context* context);
       virtual ~Test();
 
Index: code/branches/core6/src/orxonox/chat/ChatHistory.cc
===================================================================
--- code/branches/core6/src/orxonox/chat/ChatHistory.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/chat/ChatHistory.cc	(revision 9629)
@@ -39,5 +39,4 @@
   /* constructor */
 #ifndef CHATTEST
-  //ChatHistory::ChatHistory( BaseObject* creator ) : BaseObject(creator)
   ChatHistory::ChatHistory()
 #else
Index: code/branches/core6/src/orxonox/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/core6/src/orxonox/collisionshapes/CollisionShape.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/collisionshapes/CollisionShape.cc	(revision 9629)
@@ -49,7 +49,7 @@
         Constructor. Registers and initializes the object.
     */
-    CollisionShape::CollisionShape(BaseObject* creator)
-        : BaseObject(creator)
-        , Synchronisable(creator)
+    CollisionShape::CollisionShape(Context* context)
+        : BaseObject(context)
+        , Synchronisable(context)
     {
         RegisterObject(CollisionShape);
Index: code/branches/core6/src/orxonox/collisionshapes/CollisionShape.h
===================================================================
--- code/branches/core6/src/orxonox/collisionshapes/CollisionShape.h	(revision 9612)
+++ code/branches/core6/src/orxonox/collisionshapes/CollisionShape.h	(revision 9629)
@@ -58,5 +58,5 @@
     {
         public:
-            CollisionShape(BaseObject* creator);
+            CollisionShape(Context* context);
             virtual ~CollisionShape();
 
Index: code/branches/core6/src/orxonox/collisionshapes/CompoundCollisionShape.cc
===================================================================
--- code/branches/core6/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/collisionshapes/CompoundCollisionShape.cc	(revision 9629)
@@ -48,5 +48,5 @@
         Constructor. Registers and initializes the object.
     */
-    CompoundCollisionShape::CompoundCollisionShape(BaseObject* creator) : CollisionShape(creator)
+    CompoundCollisionShape::CompoundCollisionShape(Context* context) : CollisionShape(context)
     {
         RegisterObject(CompoundCollisionShape);
Index: code/branches/core6/src/orxonox/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/branches/core6/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 9612)
+++ code/branches/core6/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 9629)
@@ -58,5 +58,5 @@
     {
         public:
-            CompoundCollisionShape(BaseObject* creator);
+            CompoundCollisionShape(Context* context);
             virtual ~CompoundCollisionShape();
 
Index: code/branches/core6/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc
===================================================================
--- code/branches/core6/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/collisionshapes/WorldEntityCollisionShape.cc	(revision 9629)
@@ -37,5 +37,5 @@
 namespace orxonox
 {
-    WorldEntityCollisionShape::WorldEntityCollisionShape(BaseObject* creator) : CompoundCollisionShape(creator)
+    WorldEntityCollisionShape::WorldEntityCollisionShape(Context* context) : CompoundCollisionShape(context)
     {
         RegisterObject(WorldEntityCollisionShape);
Index: code/branches/core6/src/orxonox/collisionshapes/WorldEntityCollisionShape.h
===================================================================
--- code/branches/core6/src/orxonox/collisionshapes/WorldEntityCollisionShape.h	(revision 9612)
+++ code/branches/core6/src/orxonox/collisionshapes/WorldEntityCollisionShape.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            WorldEntityCollisionShape(BaseObject* creator);
+            WorldEntityCollisionShape(Context* context);
             virtual ~WorldEntityCollisionShape();
 
Index: code/branches/core6/src/orxonox/controllers/AIController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/AIController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/AIController.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(AIController);
 
-    AIController::AIController(BaseObject* creator) : ArtificialController(creator)
+    AIController::AIController(Context* context) : ArtificialController(context)
     {
         RegisterObject(AIController);
Index: code/branches/core6/src/orxonox/controllers/AIController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/AIController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/AIController.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            AIController(BaseObject* creator);
+            AIController(Context* context);
             virtual ~AIController();
 
Index: code/branches/core6/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/ArtificialController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/ArtificialController.cc	(revision 9629)
@@ -45,5 +45,5 @@
     SetConsoleCommand("ArtificialController", "setbotlevel",      &ArtificialController::setAllBotLevel);
 
-    ArtificialController::ArtificialController(BaseObject* creator) : FormationController(creator)
+    ArtificialController::ArtificialController(Context* context) : FormationController(context)
     {
         RegisterObject(ArtificialController);
Index: code/branches/core6/src/orxonox/controllers/ArtificialController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/ArtificialController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/ArtificialController.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            ArtificialController(BaseObject* creator);
+            ArtificialController(Context* context);
             virtual ~ArtificialController();
 
Index: code/branches/core6/src/orxonox/controllers/Controller.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/Controller.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/Controller.cc	(revision 9629)
@@ -35,5 +35,5 @@
     CreateUnloadableFactory(Controller);
 
-    Controller::Controller(BaseObject* creator) : BaseObject(creator)
+    Controller::Controller(Context* context) : BaseObject(context)
     {
         RegisterObject(Controller);
Index: code/branches/core6/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/Controller.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/Controller.h	(revision 9629)
@@ -42,5 +42,5 @@
 
         public:
-            Controller(BaseObject* creator);
+            Controller(Context* context);
             virtual ~Controller();
 
Index: code/branches/core6/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/DroneController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/DroneController.cc	(revision 9629)
@@ -45,5 +45,5 @@
     const float DroneController::ACTION_INTERVAL = 1.0f;
 
-    DroneController::DroneController(BaseObject* creator) : ArtificialController(creator)
+    DroneController::DroneController(Context* context) : ArtificialController(context)
     {
         RegisterObject(DroneController);
Index: code/branches/core6/src/orxonox/controllers/DroneController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/DroneController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/DroneController.h	(revision 9629)
@@ -50,5 +50,5 @@
     {
         public:
-            DroneController(BaseObject* creator);
+            DroneController(Context* context);
             virtual ~DroneController();
 
Index: code/branches/core6/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/FormationController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/FormationController.cc	(revision 9629)
@@ -69,5 +69,5 @@
     static const float ROTATEFACTOR_FREE = 0.8f;
 
-    FormationController::FormationController(BaseObject* creator) : Controller(creator)
+    FormationController::FormationController(Context* context) : Controller(context)
     {
         RegisterObject(FormationController);
Index: code/branches/core6/src/orxonox/controllers/FormationController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/FormationController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/FormationController.h	(revision 9629)
@@ -46,5 +46,5 @@
 
       public:
-      FormationController(BaseObject* creator);
+      FormationController(Context* context);
 
       virtual ~FormationController();
Index: code/branches/core6/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/HumanController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/HumanController.cc	(revision 9629)
@@ -71,5 +71,5 @@
     /*static*/ const float HumanController::BOOSTING_TIME = 0.1f;
 
-    HumanController::HumanController(BaseObject* creator) : FormationController(creator)
+    HumanController::HumanController(Context* context) : FormationController(context)
     {
         RegisterObject(HumanController);
Index: code/branches/core6/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/HumanController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/HumanController.h	(revision 9629)
@@ -44,5 +44,5 @@
     { // tolua_export
         public:
-            HumanController(BaseObject* creator);
+            HumanController(Context* context);
             virtual ~HumanController();
 
Index: code/branches/core6/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/NewHumanController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/NewHumanController.cc	(revision 9629)
@@ -60,6 +60,6 @@
     NewHumanController* NewHumanController::localController_s = 0;
 
-    NewHumanController::NewHumanController(BaseObject* creator)
-        : HumanController(creator)
+    NewHumanController::NewHumanController(Context* context)
+        : HumanController(context)
         , crossHairOverlay_(NULL)
         , centerOverlay_(NULL)
@@ -98,5 +98,5 @@
         if (GameMode::showsGraphics())
         {
-            crossHairOverlay_ = new OrxonoxOverlay(this);
+            crossHairOverlay_ = new OrxonoxOverlay(this->getContext());
             crossHairOverlay_->setBackgroundMaterial("Orxonox/Crosshair3");
             crossHairOverlay_->setSize(Vector2(overlaySize_, overlaySize_));
@@ -104,5 +104,5 @@
             //crossHairOverlay_->setAspectCorrection(true); not working
 
-            centerOverlay_ = new OrxonoxOverlay(this);
+            centerOverlay_ = new OrxonoxOverlay(this->getContext());
             centerOverlay_->setBackgroundMaterial("Orxonox/CenterOverlay");
             centerOverlay_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -112,5 +112,5 @@
             if (showDamageOverlay_)
             {
-                damageOverlayTop_ = new OrxonoxOverlay(this);
+                damageOverlayTop_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayTop_->setBackgroundMaterial("Orxonox/DamageOverlayTop");
                 damageOverlayTop_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -118,5 +118,5 @@
                 damageOverlayTop_->hide();
 
-                damageOverlayRight_ = new OrxonoxOverlay(this);
+                damageOverlayRight_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayRight_->setBackgroundMaterial("Orxonox/DamageOverlayRight");
                 damageOverlayRight_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -124,5 +124,5 @@
                 damageOverlayRight_->hide();
 
-                damageOverlayBottom_ = new OrxonoxOverlay(this);
+                damageOverlayBottom_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayBottom_->setBackgroundMaterial("Orxonox/DamageOverlayBottom");
                 damageOverlayBottom_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -130,5 +130,5 @@
                 damageOverlayBottom_->hide();
 
-                damageOverlayLeft_ = new OrxonoxOverlay(this);
+                damageOverlayLeft_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayLeft_->setBackgroundMaterial("Orxonox/DamageOverlayLeft");
                 damageOverlayLeft_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -139,5 +139,5 @@
             if (showArrows_)
             {
-                arrowsOverlay1_ = new OrxonoxOverlay(this);
+                arrowsOverlay1_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay1_->setBackgroundMaterial("Orxonox/DirectionArrows1");
                 arrowsOverlay1_->setSize(Vector2(0.02727f, 0.36f * arrowsSize_));
@@ -146,5 +146,5 @@
                 arrowsOverlay1_->hide();
 
-                arrowsOverlay2_ = new OrxonoxOverlay(this);
+                arrowsOverlay2_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay2_->setBackgroundMaterial("Orxonox/DirectionArrows2");
                 arrowsOverlay2_->setSize(Vector2(0.02727f, 0.59f * arrowsSize_));
@@ -153,5 +153,5 @@
                 arrowsOverlay2_->hide();
 
-                arrowsOverlay3_ = new OrxonoxOverlay(this);
+                arrowsOverlay3_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay3_->setBackgroundMaterial("Orxonox/DirectionArrows3");
                 arrowsOverlay3_->setSize(Vector2(0.02727f, 0.77f * arrowsSize_));
@@ -160,5 +160,5 @@
                 arrowsOverlay3_->hide();
 
-                arrowsOverlay4_ = new OrxonoxOverlay(this);
+                arrowsOverlay4_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay4_->setBackgroundMaterial("Orxonox/DirectionArrows4");
                 arrowsOverlay4_->setSize(Vector2(0.02727f, arrowsSize_));
Index: code/branches/core6/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/NewHumanController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/NewHumanController.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            NewHumanController(BaseObject* creator);
+            NewHumanController(Context* context);
             virtual ~NewHumanController();
 
Index: code/branches/core6/src/orxonox/controllers/ScriptController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/ScriptController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/ScriptController.cc	(revision 9629)
@@ -34,5 +34,5 @@
     CreateFactory(ScriptController);
 
-    ScriptController::ScriptController(BaseObject* creator) : ArtificialController(creator)
+    ScriptController::ScriptController(Context* context) : ArtificialController(context)
     {
         RegisterObject(ScriptController);
Index: code/branches/core6/src/orxonox/controllers/ScriptController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/ScriptController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/ScriptController.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            ScriptController(BaseObject* creator);
+            ScriptController(Context* context);
             virtual ~ScriptController() { }
 
Index: code/branches/core6/src/orxonox/controllers/WaypointController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/WaypointController.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(WaypointController);
 
-    WaypointController::WaypointController(BaseObject* creator) : ArtificialController(creator)
+    WaypointController::WaypointController(Context* context) : ArtificialController(context)
     {
         RegisterObject(WaypointController);
Index: code/branches/core6/src/orxonox/controllers/WaypointController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/WaypointController.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            WaypointController(BaseObject* creator);
+            WaypointController(Context* context);
             virtual ~WaypointController();
 
Index: code/branches/core6/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointPatrolController.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/WaypointPatrolController.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(WaypointPatrolController);
 
-    WaypointPatrolController::WaypointPatrolController(BaseObject* creator) : WaypointController(creator)
+    WaypointPatrolController::WaypointPatrolController(Context* context) : WaypointController(context)
     {
         RegisterObject(WaypointPatrolController);
Index: code/branches/core6/src/orxonox/controllers/WaypointPatrolController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointPatrolController.h	(revision 9612)
+++ code/branches/core6/src/orxonox/controllers/WaypointPatrolController.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            WaypointPatrolController(BaseObject* creator);
+            WaypointPatrolController(Context* context);
             virtual ~WaypointPatrolController() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Asteroids.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Asteroids.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Asteroids.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateUnloadableFactory(Asteroids);
 
-    Asteroids::Asteroids(BaseObject* creator) : Gametype(creator)
+    Asteroids::Asteroids(Context* context) : Gametype(context)
     {
         RegisterObject(Asteroids);
Index: code/branches/core6/src/orxonox/gametypes/Asteroids.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Asteroids.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Asteroids.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            Asteroids(BaseObject* creator);
+            Asteroids(Context* context);
             virtual ~Asteroids() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Deathmatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Deathmatch.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Deathmatch.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(Deathmatch);
 
-    Deathmatch::Deathmatch(BaseObject* creator) : Gametype(creator)
+    Deathmatch::Deathmatch(Context* context) : Gametype(context)
     {
         RegisterObject(Deathmatch);
Index: code/branches/core6/src/orxonox/gametypes/Deathmatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Deathmatch.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Deathmatch.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            Deathmatch(BaseObject* creator);
+            Deathmatch(Context* context);
             virtual ~Deathmatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Dynamicmatch.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Dynamicmatch.cc	(revision 9629)
@@ -64,5 +64,5 @@
     CreateUnloadableFactory(Dynamicmatch);
 
-    Dynamicmatch::Dynamicmatch(BaseObject* creator) : Gametype(creator)
+    Dynamicmatch::Dynamicmatch(Context* context) : Gametype(context)
     {
         RegisterObject(Dynamicmatch);
Index: code/branches/core6/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Dynamicmatch.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Dynamicmatch.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            Dynamicmatch(BaseObject* creator);
+            Dynamicmatch(Context* context);
             virtual ~Dynamicmatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Gametype.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Gametype.cc	(revision 9629)
@@ -49,9 +49,9 @@
     CreateUnloadableFactory(Gametype);
 
-    Gametype::Gametype(BaseObject* creator) : BaseObject(creator)
+    Gametype::Gametype(Context* context) : BaseObject(context)
     {
         RegisterObject(Gametype);
 
-        this->gtinfo_ = new GametypeInfo(creator);
+        this->gtinfo_ = new GametypeInfo(context);
 
         this->setGametype(SmartPtr<Gametype>(this, false));
@@ -74,5 +74,5 @@
         if (GameMode::showsGraphics() && !this->scoreboardTemplate_.empty())
         {
-            this->scoreboard_ = new OverlayGroup(this);
+            this->scoreboard_ = new OverlayGroup(context);
             this->scoreboard_->addTemplate(this->scoreboardTemplate_);
             this->scoreboard_->setGametype(this);
@@ -160,5 +160,5 @@
                 ControllableEntity* oldentity = it->first->getControllableEntity();
 
-                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(oldentity);
+                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(oldentity->getContext());
                 if (oldentity->getCamera())
                 {
@@ -283,5 +283,5 @@
                     this->gtinfo_->pawnKilled(victim->getPlayer());
 
-                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(victim->getCreator());
+                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(victim->getContext());
                 if (victim->getCamera())
                 {
@@ -458,5 +458,5 @@
         {
             // force spawn at spawnpoint with default pawn
-            ControllableEntity* entity = this->defaultControllableEntity_.fabricate(spawn);
+            ControllableEntity* entity = this->defaultControllableEntity_.fabricate(spawn->getContext());
             spawn->spawn(entity);
             player->startControl(entity);
@@ -472,5 +472,5 @@
     {
         for (unsigned int i = 0; i < amount; ++i)
-            this->botclass_.fabricate(this);
+            this->botclass_.fabricate(this->getContext());
     }
 
Index: code/branches/core6/src/orxonox/gametypes/Gametype.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Gametype.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Gametype.h	(revision 9629)
@@ -67,5 +67,5 @@
 
         public:
-            Gametype(BaseObject* creator);
+            Gametype(Context* context);
             virtual ~Gametype();
 
Index: code/branches/core6/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastManStanding.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/LastManStanding.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(LastManStanding);
 
-    LastManStanding::LastManStanding(BaseObject* creator) : Deathmatch(creator)
+    LastManStanding::LastManStanding(Context* context) : Deathmatch(context)
     {
         RegisterObject(LastManStanding);
Index: code/branches/core6/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastManStanding.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/LastManStanding.h	(revision 9629)
@@ -65,5 +65,5 @@
 
         public:
-            LastManStanding(BaseObject* creator); //!< Default Constructor.
+            LastManStanding(Context* context); //!< Default Constructor.
             virtual ~LastManStanding() {} //!< Default Destructor.
             void setConfigValues(); //!< Makes values configurable.
Index: code/branches/core6/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastTeamStanding.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/LastTeamStanding.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(LastTeamStanding);
 
-    LastTeamStanding::LastTeamStanding(BaseObject* creator) : TeamDeathmatch(creator)
+    LastTeamStanding::LastTeamStanding(Context* context) : TeamDeathmatch(context)
     {
         RegisterObject(LastTeamStanding);
Index: code/branches/core6/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastTeamStanding.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/LastTeamStanding.h	(revision 9629)
@@ -71,5 +71,5 @@
 
         public:
-            LastTeamStanding(BaseObject* creator); //!< Default Constructor.
+            LastTeamStanding(Context* context); //!< Default Constructor.
             virtual ~LastTeamStanding(); //!< Default Destructor.
 
Index: code/branches/core6/src/orxonox/gametypes/Mission.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Mission.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Mission.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateUnloadableFactory(Mission);
 
-    Mission::Mission(BaseObject* creator) : TeamGametype(creator)
+    Mission::Mission(Context* context) : TeamGametype(context)
     {
         RegisterObject(Mission);
Index: code/branches/core6/src/orxonox/gametypes/Mission.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Mission.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/Mission.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            Mission(BaseObject* creator);
+            Mission(Context* context);
             virtual ~Mission() {}
 
Index: code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(TeamBaseMatch);
 
-    TeamBaseMatch::TeamBaseMatch(BaseObject* creator) : TeamDeathmatch(creator)
+    TeamBaseMatch::TeamBaseMatch(Context* context) : TeamDeathmatch(context)
     {
         RegisterObject(TeamBaseMatch);
Index: code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            TeamBaseMatch(BaseObject* creator);
+            TeamBaseMatch(Context* context);
             virtual ~TeamBaseMatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(TeamDeathmatch);
 
-    TeamDeathmatch::TeamDeathmatch(BaseObject* creator) : TeamGametype(creator)
+    TeamDeathmatch::TeamDeathmatch(Context* context) : TeamGametype(context)
     {
         RegisterObject(TeamDeathmatch);
Index: code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            TeamDeathmatch(BaseObject* creator);
+            TeamDeathmatch(Context* context);
             virtual ~TeamDeathmatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamGametype.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/TeamGametype.cc	(revision 9629)
@@ -42,5 +42,5 @@
     CreateUnloadableFactory(TeamGametype);
 
-    TeamGametype::TeamGametype(BaseObject* creator) : Gametype(creator)
+    TeamGametype::TeamGametype(Context* context) : Gametype(context)
     {
         RegisterObject(TeamGametype);
Index: code/branches/core6/src/orxonox/gametypes/TeamGametype.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamGametype.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/TeamGametype.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            TeamGametype(BaseObject* creator);
+            TeamGametype(Context* context);
             virtual ~TeamGametype() {}
 
Index: code/branches/core6/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/UnderAttack.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/UnderAttack.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(UnderAttack);
 
-    UnderAttack::UnderAttack(BaseObject* creator) : TeamDeathmatch(creator)
+    UnderAttack::UnderAttack(Context* context) : TeamDeathmatch(context)
     {
         RegisterObject(UnderAttack);
Index: code/branches/core6/src/orxonox/gametypes/UnderAttack.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/UnderAttack.h	(revision 9612)
+++ code/branches/core6/src/orxonox/gametypes/UnderAttack.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            UnderAttack(BaseObject* creator);
+            UnderAttack(Context* context);
             virtual ~UnderAttack() {}
 
Index: code/branches/core6/src/orxonox/graphics/AnimatedModel.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/AnimatedModel.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/AnimatedModel.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(AnimatedModel);
 
-    AnimatedModel::AnimatedModel(BaseObject* creator) : Model(creator)
+    AnimatedModel::AnimatedModel(Context* context) : Model(context)
     {
         RegisterObject(AnimatedModel);
Index: code/branches/core6/src/orxonox/graphics/AnimatedModel.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/AnimatedModel.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/AnimatedModel.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            AnimatedModel(BaseObject* creator);
+            AnimatedModel(Context* context);
             virtual ~AnimatedModel();
 
Index: code/branches/core6/src/orxonox/graphics/Backlight.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Backlight.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Backlight.cc	(revision 9629)
@@ -47,5 +47,5 @@
     CreateFactory(Backlight);
 
-    Backlight::Backlight(BaseObject* creator) : FadingBillboard(creator)
+    Backlight::Backlight(Context* context) : FadingBillboard(context)
     {
         RegisterObject(Backlight);
Index: code/branches/core6/src/orxonox/graphics/Backlight.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Backlight.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Backlight.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            Backlight(BaseObject* creator);
+            Backlight(Context* context);
             virtual ~Backlight();
 
Index: code/branches/core6/src/orxonox/graphics/Billboard.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Billboard.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Billboard.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(Billboard);
 
-    Billboard::Billboard(BaseObject* creator) : StaticEntity(creator)
+    Billboard::Billboard(Context* context) : StaticEntity(context)
     {
         RegisterObject(Billboard);
Index: code/branches/core6/src/orxonox/graphics/Billboard.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Billboard.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Billboard.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            Billboard(BaseObject* creator);
+            Billboard(Context* context);
             virtual ~Billboard();
 
Index: code/branches/core6/src/orxonox/graphics/BlinkingBillboard.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/BlinkingBillboard.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/BlinkingBillboard.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(BlinkingBillboard);
 
-    BlinkingBillboard::BlinkingBillboard(BaseObject* creator) : Billboard(creator)
+    BlinkingBillboard::BlinkingBillboard(Context* context) : Billboard(context)
     {
         RegisterObject(BlinkingBillboard);
Index: code/branches/core6/src/orxonox/graphics/BlinkingBillboard.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/BlinkingBillboard.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/BlinkingBillboard.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            BlinkingBillboard(BaseObject* creator);
+            BlinkingBillboard(Context* context);
             virtual ~BlinkingBillboard();
 
Index: code/branches/core6/src/orxonox/graphics/Camera.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Camera.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Camera.cc	(revision 9629)
@@ -48,5 +48,5 @@
     CreateFactory(Camera);
 
-    Camera::Camera(BaseObject* creator) : StaticEntity(creator)
+    Camera::Camera(Context* context) : StaticEntity(context)
     {
         RegisterObject(Camera);
Index: code/branches/core6/src/orxonox/graphics/Camera.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Camera.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Camera.h	(revision 9629)
@@ -46,5 +46,5 @@
 
         public:
-            Camera(BaseObject* creator);
+            Camera(Context* context);
             virtual ~Camera();
 
Index: code/branches/core6/src/orxonox/graphics/FadingBillboard.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/FadingBillboard.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/FadingBillboard.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(FadingBillboard);
 
-    FadingBillboard::FadingBillboard(BaseObject* creator) : Billboard(creator)
+    FadingBillboard::FadingBillboard(Context* context) : Billboard(context)
     {
         RegisterObject(FadingBillboard);
Index: code/branches/core6/src/orxonox/graphics/FadingBillboard.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/FadingBillboard.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/FadingBillboard.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            FadingBillboard(BaseObject* creator);
+            FadingBillboard(Context* context);
             virtual ~FadingBillboard();
 
Index: code/branches/core6/src/orxonox/graphics/GlobalShader.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/GlobalShader.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/GlobalShader.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(GlobalShader);
 
-    GlobalShader::GlobalShader(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    GlobalShader::GlobalShader(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(GlobalShader);
Index: code/branches/core6/src/orxonox/graphics/GlobalShader.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/GlobalShader.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/GlobalShader.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            GlobalShader(BaseObject* creator);
+            GlobalShader(Context* context);
             virtual ~GlobalShader();
 
Index: code/branches/core6/src/orxonox/graphics/Light.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Light.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Light.cc	(revision 9629)
@@ -49,5 +49,5 @@
     BOOST_STATIC_ASSERT((int)Ogre::Light::LT_SPOTLIGHT   == (int)Light::Spotlight);
 
-    Light::Light(BaseObject* creator) : StaticEntity(creator)
+    Light::Light(Context* context) : StaticEntity(context)
     {
         RegisterObject(Light);
Index: code/branches/core6/src/orxonox/graphics/Light.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Light.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Light.h	(revision 9629)
@@ -53,5 +53,5 @@
 
         public:
-            Light(BaseObject* creator);
+            Light(Context* context);
             virtual ~Light();
 
Index: code/branches/core6/src/orxonox/graphics/MeshLodInformation.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/MeshLodInformation.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/MeshLodInformation.cc	(revision 9629)
@@ -40,6 +40,6 @@
     CreateFactory(MeshLodInformation);
 
-    MeshLodInformation::MeshLodInformation(BaseObject* creator)
-    : BaseObject(creator), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15f)
+    MeshLodInformation::MeshLodInformation(Context* context)
+    : BaseObject(context), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15f)
     {
         RegisterObject(MeshLodInformation);
Index: code/branches/core6/src/orxonox/graphics/MeshLodInformation.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/MeshLodInformation.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/MeshLodInformation.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            MeshLodInformation(BaseObject* creator);
+            MeshLodInformation(Context* context);
             virtual ~MeshLodInformation();
 
Index: code/branches/core6/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Model.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Model.cc	(revision 9629)
@@ -43,6 +43,6 @@
     CreateFactory(Model);
 
-    Model::Model(BaseObject* creator) :
-        StaticEntity(creator), bCastShadows_(true), lodLevel_(5), bLodEnabled_(true), numLodLevels_(10), lodReductionRate_(.15f)
+    Model::Model(Context* context) :
+        StaticEntity(context), bCastShadows_(true), lodLevel_(5), bLodEnabled_(true), numLodLevels_(10), lodReductionRate_(.15f)
     {
         RegisterObject(Model);
Index: code/branches/core6/src/orxonox/graphics/Model.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Model.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/Model.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            Model(BaseObject* creator);
+            Model(Context* context);
             virtual ~Model();
 
Index: code/branches/core6/src/orxonox/graphics/ParticleEmitter.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleEmitter.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/ParticleEmitter.cc	(revision 9629)
@@ -45,5 +45,5 @@
     CreateFactory(ParticleEmitter);
 
-    ParticleEmitter::ParticleEmitter(BaseObject* creator) : StaticEntity(creator)
+    ParticleEmitter::ParticleEmitter(Context* context) : StaticEntity(context)
     {
         RegisterObject(ParticleEmitter);
Index: code/branches/core6/src/orxonox/graphics/ParticleEmitter.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleEmitter.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/ParticleEmitter.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            ParticleEmitter(BaseObject* creator);
+            ParticleEmitter(Context* context);
             virtual ~ParticleEmitter();
 
Index: code/branches/core6/src/orxonox/graphics/ParticleSpawner.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleSpawner.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/ParticleSpawner.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(ParticleSpawner);
 
-    ParticleSpawner::ParticleSpawner(BaseObject* creator) : ParticleEmitter(creator)
+    ParticleSpawner::ParticleSpawner(Context* context) : ParticleEmitter(context)
     {
         RegisterObject(ParticleSpawner);
Index: code/branches/core6/src/orxonox/graphics/ParticleSpawner.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleSpawner.h	(revision 9612)
+++ code/branches/core6/src/orxonox/graphics/ParticleSpawner.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            ParticleSpawner(BaseObject* creator);
+            ParticleSpawner(Context* context);
             virtual ~ParticleSpawner();
 
Index: code/branches/core6/src/orxonox/infos/Bot.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/Bot.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/Bot.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(Bot);
 
-    Bot::Bot(BaseObject* creator) : PlayerInfo(creator)
+    Bot::Bot(Context* context) : PlayerInfo(context)
     {
         RegisterObject(Bot);
Index: code/branches/core6/src/orxonox/infos/Bot.h
===================================================================
--- code/branches/core6/src/orxonox/infos/Bot.h	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/Bot.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Bot(BaseObject* creator);
+            Bot(Context* context);
             virtual ~Bot();
 
Index: code/branches/core6/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/GametypeInfo.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/GametypeInfo.cc	(revision 9629)
@@ -65,5 +65,5 @@
         Registers and initializes the object.
     */
-    GametypeInfo::GametypeInfo(BaseObject* creator) : Info(creator)
+    GametypeInfo::GametypeInfo(Context* context) : Info(context)
     {
         RegisterObject(GametypeInfo);
Index: code/branches/core6/src/orxonox/infos/GametypeInfo.h
===================================================================
--- code/branches/core6/src/orxonox/infos/GametypeInfo.h	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/GametypeInfo.h	(revision 9629)
@@ -58,5 +58,5 @@
 
         public:
-            GametypeInfo(BaseObject* creator);
+            GametypeInfo(Context* context);
             virtual ~GametypeInfo();
 
Index: code/branches/core6/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/HumanPlayer.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/HumanPlayer.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateUnloadableFactory(HumanPlayer);
 
-    HumanPlayer::HumanPlayer(BaseObject* creator) : PlayerInfo(creator)
+    HumanPlayer::HumanPlayer(Context* context) : PlayerInfo(context)
     {
         RegisterObject(HumanPlayer);
@@ -183,5 +183,5 @@
         if (this->isLocalPlayer() && !this->humanHudTemplate_.empty() && GameMode::showsGraphics())
         {
-            this->humanHud_ = new OverlayGroup(this);
+            this->humanHud_ = new OverlayGroup(this->getContext());
             this->humanHud_->addTemplate(this->humanHudTemplate_);
             this->humanHud_->setOwner(this);
@@ -199,5 +199,5 @@
         if (this->isLocalPlayer() && !this->gametypeHudTemplate_.empty())
         {
-            this->gametypeHud_ = new OverlayGroup(this);
+            this->gametypeHud_ = new OverlayGroup(this->getContext());
             this->gametypeHud_->addTemplate(this->gametypeHudTemplate_);
             this->gametypeHud_->setOwner(this);
Index: code/branches/core6/src/orxonox/infos/HumanPlayer.h
===================================================================
--- code/branches/core6/src/orxonox/infos/HumanPlayer.h	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/HumanPlayer.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            HumanPlayer(BaseObject* creator);
+            HumanPlayer(Context* context);
             virtual ~HumanPlayer();
 
Index: code/branches/core6/src/orxonox/infos/Info.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/Info.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/Info.cc	(revision 9629)
@@ -32,5 +32,5 @@
 namespace orxonox
 {
-    Info::Info(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Info::Info(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(Info);
Index: code/branches/core6/src/orxonox/infos/Info.h
===================================================================
--- code/branches/core6/src/orxonox/infos/Info.h	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/Info.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Info(BaseObject* creator);
+            Info(Context* context);
             virtual ~Info() {}
     };
Index: code/branches/core6/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/PlayerInfo.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/PlayerInfo.cc	(revision 9629)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    PlayerInfo::PlayerInfo(BaseObject* creator) : Info(creator)
+    PlayerInfo::PlayerInfo(Context* context) : Info(context)
     {
         RegisterObject(PlayerInfo);
@@ -136,5 +136,5 @@
             this->controller_ = 0;
         }
-        this->controller_ = this->defaultController_.fabricate(this);
+        this->controller_ = this->defaultController_.fabricate(this->getContext());
         assert(this->controller_);
         this->controller_->setPlayer(this);
Index: code/branches/core6/src/orxonox/infos/PlayerInfo.h
===================================================================
--- code/branches/core6/src/orxonox/infos/PlayerInfo.h	(revision 9612)
+++ code/branches/core6/src/orxonox/infos/PlayerInfo.h	(revision 9629)
@@ -41,5 +41,5 @@
     { // tolua_export
         public:
-            PlayerInfo(BaseObject* creator);
+            PlayerInfo(Context* context);
             virtual ~PlayerInfo();
 
Index: code/branches/core6/src/orxonox/items/Engine.cc
===================================================================
--- code/branches/core6/src/orxonox/items/Engine.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/items/Engine.cc	(revision 9629)
@@ -46,5 +46,5 @@
         Constructor. Registers and initializes the object.
     */
-    Engine::Engine(BaseObject* creator) : Item(creator)
+    Engine::Engine(Context* context) : Item(context)
     {
         RegisterObject(Engine);
Index: code/branches/core6/src/orxonox/items/Engine.h
===================================================================
--- code/branches/core6/src/orxonox/items/Engine.h	(revision 9612)
+++ code/branches/core6/src/orxonox/items/Engine.h	(revision 9629)
@@ -56,5 +56,5 @@
     {
         public:
-            Engine(BaseObject* creator);
+            Engine(Context* context);
             virtual ~Engine();
 
Index: code/branches/core6/src/orxonox/items/Item.cc
===================================================================
--- code/branches/core6/src/orxonox/items/Item.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/items/Item.cc	(revision 9629)
@@ -32,5 +32,5 @@
 namespace orxonox
 {
-    Item::Item(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Item::Item(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(Item);
Index: code/branches/core6/src/orxonox/items/Item.h
===================================================================
--- code/branches/core6/src/orxonox/items/Item.h	(revision 9612)
+++ code/branches/core6/src/orxonox/items/Item.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Item(BaseObject* creator);
+            Item(Context* context);
             virtual ~Item() {}
     };
Index: code/branches/core6/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/core6/src/orxonox/items/MultiStateEngine.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/items/MultiStateEngine.cc	(revision 9629)
@@ -51,5 +51,5 @@
     CreateFactory(MultiStateEngine);
 
-    MultiStateEngine::MultiStateEngine(BaseObject* creator) : Engine(creator)
+    MultiStateEngine::MultiStateEngine(Context* context) : Engine(context)
     {
         RegisterObject(MultiStateEngine);
@@ -57,6 +57,6 @@
         if (GameMode::isMaster())
         {
-            this->defEngineSndNormal_ = new WorldSound(this);
-            this->defEngineSndBoost_  = new WorldSound(this);
+            this->defEngineSndNormal_ = new WorldSound(this->getContext());
+            this->defEngineSndBoost_  = new WorldSound(this->getContext());
             this->defEngineSndNormal_->setLooping(true);
             this->defEngineSndBoost_->setLooping(true);
Index: code/branches/core6/src/orxonox/items/MultiStateEngine.h
===================================================================
--- code/branches/core6/src/orxonox/items/MultiStateEngine.h	(revision 9612)
+++ code/branches/core6/src/orxonox/items/MultiStateEngine.h	(revision 9629)
@@ -49,5 +49,5 @@
             };
 
-            MultiStateEngine(BaseObject* creator);
+            MultiStateEngine(Context* context);
             virtual ~MultiStateEngine();
 
Index: code/branches/core6/src/orxonox/overlays/GUISheet.cc
===================================================================
--- code/branches/core6/src/orxonox/overlays/GUISheet.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/overlays/GUISheet.cc	(revision 9629)
@@ -38,6 +38,6 @@
     CreateFactory(GUISheet);
 
-    GUISheet::GUISheet(BaseObject* creator)
-        : BaseObject(creator)
+    GUISheet::GUISheet(Context* context)
+        : BaseObject(context)
         , bShowOnLoad_(false)
         , bHidePrevious_(false)
Index: code/branches/core6/src/orxonox/overlays/GUISheet.h
===================================================================
--- code/branches/core6/src/orxonox/overlays/GUISheet.h	(revision 9612)
+++ code/branches/core6/src/orxonox/overlays/GUISheet.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
     public:
-        GUISheet(BaseObject* creator);
+        GUISheet(Context* context);
         ~GUISheet();
 
Index: code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 9629)
@@ -63,6 +63,6 @@
     SetConsoleCommand("OrxonoxOverlay", "rotateOverlay",    &OrxonoxOverlay::rotateOverlay);
 
-    OrxonoxOverlay::OrxonoxOverlay(BaseObject* creator)
-        : BaseObject(creator)
+    OrxonoxOverlay::OrxonoxOverlay(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(OrxonoxOverlay);
Index: code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.h	(revision 9612)
+++ code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.h	(revision 9629)
@@ -87,5 +87,5 @@
 
     public:
-        OrxonoxOverlay(BaseObject* creator);
+        OrxonoxOverlay(Context* context);
         virtual ~OrxonoxOverlay();
 
Index: code/branches/core6/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/core6/src/orxonox/overlays/OverlayGroup.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/overlays/OverlayGroup.cc	(revision 9629)
@@ -48,6 +48,6 @@
     SetConsoleCommand("OverlayGroup", "scrollGroup",      &OverlayGroup::scrollGroup);
 
-    OverlayGroup::OverlayGroup(BaseObject* creator)
-        : BaseObject(creator)
+    OverlayGroup::OverlayGroup(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(OverlayGroup);
Index: code/branches/core6/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- code/branches/core6/src/orxonox/overlays/OverlayGroup.h	(revision 9612)
+++ code/branches/core6/src/orxonox/overlays/OverlayGroup.h	(revision 9629)
@@ -54,5 +54,5 @@
     {
     public:
-        OverlayGroup(BaseObject* creator);
+        OverlayGroup(Context* context);
         //! Empty destructor.
         ~OverlayGroup();
Index: code/branches/core6/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldAmbientSound.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/sound/WorldAmbientSound.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(WorldAmbientSound);
 
-    WorldAmbientSound::WorldAmbientSound(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    WorldAmbientSound::WorldAmbientSound(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(WorldAmbientSound);
Index: code/branches/core6/src/orxonox/sound/WorldAmbientSound.h
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldAmbientSound.h	(revision 9612)
+++ code/branches/core6/src/orxonox/sound/WorldAmbientSound.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            WorldAmbientSound(BaseObject* creator);
+            WorldAmbientSound(Context* context);
             virtual ~WorldAmbientSound();
 
Index: code/branches/core6/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldSound.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/sound/WorldSound.cc	(revision 9629)
@@ -43,6 +43,6 @@
     CreateFactory(WorldSound);
 
-    WorldSound::WorldSound(BaseObject* creator)
-        : StaticEntity(creator)
+    WorldSound::WorldSound(Context* context)
+        : StaticEntity(context)
     {
         RegisterObject(WorldSound);
Index: code/branches/core6/src/orxonox/sound/WorldSound.h
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldSound.h	(revision 9612)
+++ code/branches/core6/src/orxonox/sound/WorldSound.h	(revision 9629)
@@ -45,5 +45,5 @@
     {
     public:
-        WorldSound(BaseObject* creator);
+        WorldSound(Context* context);
 
         void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(DefaultWeaponmodeLink);
 
-    DefaultWeaponmodeLink::DefaultWeaponmodeLink(BaseObject* creator) : BaseObject(creator)
+    DefaultWeaponmodeLink::DefaultWeaponmodeLink(Context* context) : BaseObject(context)
     {
         RegisterObject(DefaultWeaponmodeLink);
Index: code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            DefaultWeaponmodeLink(BaseObject* creator);
+            DefaultWeaponmodeLink(Context* context);
             virtual ~DefaultWeaponmodeLink();
 
Index: code/branches/core6/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Munition.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/Munition.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(Munition);
 
-    Munition::Munition(BaseObject* creator) : BaseObject(creator)
+    Munition::Munition(Context* context) : BaseObject(context)
     {
         RegisterObject(Munition);
Index: code/branches/core6/src/orxonox/weaponsystem/Munition.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Munition.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/Munition.h	(revision 9629)
@@ -56,5 +56,5 @@
 
         public:
-            Munition(BaseObject* creator);
+            Munition(Context* context);
             virtual ~Munition();
 
Index: code/branches/core6/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Weapon.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/Weapon.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(Weapon);
 
-    Weapon::Weapon(BaseObject* creator) : StaticEntity(creator)
+    Weapon::Weapon(Context* context) : StaticEntity(context)
     {
         RegisterObject(Weapon);
Index: code/branches/core6/src/orxonox/weaponsystem/Weapon.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Weapon.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/Weapon.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            Weapon(BaseObject* creator);
+            Weapon(Context* context);
             virtual ~Weapon();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponMode.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponMode.cc	(revision 9629)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    WeaponMode::WeaponMode(BaseObject* creator) : BaseObject(creator)
+    WeaponMode::WeaponMode(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponMode);
@@ -75,5 +75,5 @@
         if( GameMode::isMaster() )
         {
-            this->defSndWpnFire_ = new WorldSound(this);
+            this->defSndWpnFire_ = new WorldSound(this->getContext());
             this->defSndWpnFire_->setLooping(false);
             this->bSoundAttached_ = false;
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponMode.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponMode.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            WeaponMode(BaseObject* creator);
+            WeaponMode(Context* context);
             virtual ~WeaponMode();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponPack.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponPack.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(WeaponPack);
 
-    WeaponPack::WeaponPack(BaseObject* creator) : BaseObject(creator)
+    WeaponPack::WeaponPack(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponPack);
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponPack.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponPack.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponPack.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            WeaponPack(BaseObject* creator);
+            WeaponPack(Context* context);
             virtual ~WeaponPack();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSet.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSet.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(WeaponSet);
 
-    WeaponSet::WeaponSet(BaseObject* creator) : BaseObject(creator)
+    WeaponSet::WeaponSet(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponSet);
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSet.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSet.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSet.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            WeaponSet(BaseObject* creator);
+            WeaponSet(Context* context);
             virtual ~WeaponSet();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(WeaponSlot);
 
-    WeaponSlot::WeaponSlot(BaseObject* creator) : StaticEntity(creator)
+    WeaponSlot::WeaponSlot(Context* context) : StaticEntity(context)
     {
         RegisterObject(WeaponSlot);
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            WeaponSlot(BaseObject* creator);
+            WeaponSlot(Context* context);
             virtual ~WeaponSlot();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 9629)
@@ -48,5 +48,5 @@
     CreateFactory(WeaponSystem);
 
-    WeaponSystem::WeaponSystem(BaseObject* creator) : BaseObject(creator)
+    WeaponSystem::WeaponSystem(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponSystem);
@@ -308,5 +308,5 @@
         else if (identifier->getIdentifier()->isA(Class(Munition)))
         {
-            Munition* munition = identifier->fabricate(this);
+            Munition* munition = identifier->fabricate(this->getContext());
             this->munitions_[identifier->getIdentifier()] = munition;
             return munition;
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.h	(revision 9612)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            WeaponSystem(BaseObject* creator);
+            WeaponSystem(Context* context);
             virtual ~WeaponSystem();
 
Index: code/branches/core6/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/BigExplosion.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/BigExplosion.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateFactory(BigExplosion);
 
-    BigExplosion::BigExplosion(BaseObject* creator) : StaticEntity(creator)
+    BigExplosion::BigExplosion(Context* context) : StaticEntity(context)
     {
         RegisterObject(BigExplosion);
@@ -80,8 +80,8 @@
     void BigExplosion::init()
     {
-        this->debrisEntity1_ = new MovableEntity(this);
-        this->debrisEntity2_ = new MovableEntity(this);
-        this->debrisEntity3_ = new MovableEntity(this);
-        this->debrisEntity4_ = new MovableEntity(this);
+        this->debrisEntity1_ = new MovableEntity(this->getContext());
+        this->debrisEntity2_ = new MovableEntity(this->getContext());
+        this->debrisEntity3_ = new MovableEntity(this->getContext());
+        this->debrisEntity4_ = new MovableEntity(this->getContext());
 
         this->debrisEntity1_->setSyncMode(0);
@@ -90,8 +90,8 @@
         this->debrisEntity4_->setSyncMode(0);
 
-        this->debris1_ = new Model(this);
-        this->debris2_ = new Model(this);
-        this->debris3_ = new Model(this);
-        this->debris4_ = new Model(this);
+        this->debris1_ = new Model(this->getContext());
+        this->debris2_ = new Model(this->getContext());
+        this->debris3_ = new Model(this->getContext());
+        this->debris4_ = new Model(this->getContext());
 
         this->debris1_->setSyncMode(0);
@@ -100,5 +100,5 @@
         this->debris4_->setSyncMode(0);
 
-        this->explosion_ = new StaticEntity(this);
+        this->explosion_ = new StaticEntity(this->getContext());
         this->explosion_->setSyncMode(0);
 
@@ -148,5 +148,5 @@
         this->debrisEntity4_->attach(debris4_);
 
-        ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+        ParticleSpawner* effect = new ParticleSpawner(this->getContext());
         effect->setDestroyAfterLife(true);
         effect->setSource("Orxonox/explosion2b");
@@ -154,5 +154,5 @@
         effect->setSyncMode(0);
 
-        ParticleSpawner* effect2 = new ParticleSpawner(this->getCreator());
+        ParticleSpawner* effect2 = new ParticleSpawner(this->getContext());
         effect2->setDestroyAfterLife(true);
         effect2->setSource("Orxonox/smoke6");
@@ -172,9 +172,9 @@
         for(int i=0;i<10;i++)
         {
-            Model* part1 = new Model(this);
-            Model* part2 = new Model(this);
-
-            MovableEntity* partEntity1 = new MovableEntity(this);
-            MovableEntity* partEntity2 = new MovableEntity(this);
+            Model* part1 = new Model(this->getContext());
+            Model* part2 = new Model(this->getContext());
+
+            MovableEntity* partEntity1 = new MovableEntity(this->getContext());
+            MovableEntity* partEntity2 = new MovableEntity(this->getContext());
 
             part1->setSyncMode(0);
Index: code/branches/core6/src/orxonox/worldentities/BigExplosion.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/BigExplosion.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/BigExplosion.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            BigExplosion(BaseObject* creator);
+            BigExplosion(Context* context);
             virtual ~BigExplosion();
 
Index: code/branches/core6/src/orxonox/worldentities/CameraPosition.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/CameraPosition.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/CameraPosition.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(CameraPosition);
 
-    CameraPosition::CameraPosition(BaseObject* creator) : StaticEntity(creator)
+    CameraPosition::CameraPosition(Context* context) : StaticEntity(context)
     {
         RegisterObject(CameraPosition);
Index: code/branches/core6/src/orxonox/worldentities/CameraPosition.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/CameraPosition.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/CameraPosition.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            CameraPosition(BaseObject* creator);
+            CameraPosition(Context* context);
             virtual ~CameraPosition();
 
Index: code/branches/core6/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ControllableEntity.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/ControllableEntity.cc	(revision 9629)
@@ -52,5 +52,5 @@
     registerMemberNetworkFunction( ControllableEntity, setTargetInternal );
 
-    ControllableEntity::ControllableEntity(BaseObject* creator) : MobileEntity(creator)
+    ControllableEntity::ControllableEntity(Context* context) : MobileEntity(context)
     {
         RegisterObject(ControllableEntity);
@@ -397,5 +397,5 @@
         if (!this->camera_ && GameMode::showsGraphics())
         {
-            this->camera_ = new Camera(this);
+            this->camera_ = new Camera(this->getContext());
             this->camera_->requestFocus();
             if (!this->cameraPositionTemplate_.empty())
@@ -423,5 +423,5 @@
             if (!this->hudtemplate_.empty())
             {
-                this->hud_ = new OverlayGroup(this);
+                this->hud_ = new OverlayGroup(this->getContext());
                 this->hud_->addTemplate(this->hudtemplate_);
                 this->hud_->setOwner(this);
Index: code/branches/core6/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ControllableEntity.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/ControllableEntity.h	(revision 9629)
@@ -44,5 +44,5 @@
 
         public:
-            ControllableEntity(BaseObject* creator);
+            ControllableEntity(Context* context);
             virtual ~ControllableEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/Drone.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/Drone.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/Drone.cc	(revision 9629)
@@ -39,5 +39,5 @@
         Constructor. Registers the object and initializes some default values.
     */
-    Drone::Drone(BaseObject* creator) : Pawn(creator)
+    Drone::Drone(Context* context) : Pawn(context)
     {
         RegisterObject(Drone);
@@ -50,5 +50,5 @@
         this->setCollisionType(WorldEntity::Dynamic);
 
-        myController_ = new DroneController(static_cast<BaseObject*>(this)); //!< Creates a new controller and passes our this pointer to it as creator.
+        myController_ = new DroneController(this->getContext()); //!< Creates a new controller and passes our this pointer to it as creator.
         myController_->setDrone(this);
 
Index: code/branches/core6/src/orxonox/worldentities/Drone.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/Drone.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/Drone.h	(revision 9629)
@@ -47,5 +47,5 @@
     {
         public:
-            Drone(BaseObject* creator);
+            Drone(Context* context);
             virtual ~Drone();
 
Index: code/branches/core6/src/orxonox/worldentities/EffectContainer.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/EffectContainer.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/EffectContainer.cc	(revision 9629)
@@ -42,6 +42,6 @@
     CreateFactory(EffectContainer);
 
-    EffectContainer::EffectContainer(BaseObject* creator)
-        : BaseObject(creator)
+    EffectContainer::EffectContainer(Context* context)
+        : BaseObject(context)
         , lua_(NULL)
     {
Index: code/branches/core6/src/orxonox/worldentities/EffectContainer.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/EffectContainer.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/EffectContainer.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            EffectContainer(BaseObject* creator);
+            EffectContainer(Context* context);
             virtual ~EffectContainer();
 
Index: code/branches/core6/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ExplosionChunk.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/ExplosionChunk.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(ExplosionChunk);
 
-    ExplosionChunk::ExplosionChunk(BaseObject* creator) : MovableEntity(creator)
+    ExplosionChunk::ExplosionChunk(Context* context) : MovableEntity(context)
     {
         RegisterObject(ExplosionChunk);
Index: code/branches/core6/src/orxonox/worldentities/ExplosionChunk.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ExplosionChunk.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/ExplosionChunk.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            ExplosionChunk(BaseObject* creator);
+            ExplosionChunk(Context* context);
             virtual ~ExplosionChunk();
 
Index: code/branches/core6/src/orxonox/worldentities/MobileEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MobileEntity.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/MobileEntity.cc	(revision 9629)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    MobileEntity::MobileEntity(BaseObject* creator) : WorldEntity(creator)
+    MobileEntity::MobileEntity(Context* context) : WorldEntity(context)
     {
         RegisterObject(MobileEntity);
Index: code/branches/core6/src/orxonox/worldentities/MobileEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MobileEntity.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/MobileEntity.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            MobileEntity(BaseObject* creator);
+            MobileEntity(Context* context);
             virtual ~MobileEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MovableEntity.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/MovableEntity.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateFactory(MovableEntity);
 
-    MovableEntity::MovableEntity(BaseObject* creator) : MobileEntity(creator)
+    MovableEntity::MovableEntity(Context* context) : MobileEntity(context)
     {
         RegisterObject(MovableEntity);
Index: code/branches/core6/src/orxonox/worldentities/MovableEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MovableEntity.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/MovableEntity.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            MovableEntity(BaseObject* creator);
+            MovableEntity(Context* context);
             virtual ~MovableEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/SpawnPoint.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/SpawnPoint.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/SpawnPoint.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(SpawnPoint);
 
-    SpawnPoint::SpawnPoint(BaseObject* creator) : StaticEntity(creator)
+    SpawnPoint::SpawnPoint(Context* context) : StaticEntity(context)
     {
         RegisterObject(SpawnPoint);
@@ -81,5 +81,5 @@
     Pawn* SpawnPoint::spawn()
     {
-        Pawn* entity = this->spawnclass_.fabricate(this);
+        Pawn* entity = this->spawnclass_.fabricate(this->getContext());
         if (entity)
         {
Index: code/branches/core6/src/orxonox/worldentities/SpawnPoint.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/SpawnPoint.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/SpawnPoint.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            SpawnPoint(BaseObject* creator);
+            SpawnPoint(Context* context);
             virtual ~SpawnPoint() {}
 
Index: code/branches/core6/src/orxonox/worldentities/StaticEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/StaticEntity.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/StaticEntity.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(StaticEntity);
 
-    StaticEntity::StaticEntity(BaseObject* creator) : WorldEntity(creator)
+    StaticEntity::StaticEntity(Context* context) : WorldEntity(context)
     {
         RegisterObject(StaticEntity);
Index: code/branches/core6/src/orxonox/worldentities/StaticEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/StaticEntity.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/StaticEntity.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            StaticEntity(BaseObject* creator);
+            StaticEntity(Context* context);
             virtual ~StaticEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(TeamSpawnPoint);
 
-    TeamSpawnPoint::TeamSpawnPoint(BaseObject* creator) : SpawnPoint(creator)
+    TeamSpawnPoint::TeamSpawnPoint(Context* context) : SpawnPoint(context)
     {
         RegisterObject(TeamSpawnPoint);
Index: code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            TeamSpawnPoint(BaseObject* creator);
+            TeamSpawnPoint(Context* context);
             virtual ~TeamSpawnPoint() {}
 
Index: code/branches/core6/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/WorldEntity.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/WorldEntity.cc	(revision 9629)
@@ -66,5 +66,5 @@
         All the default values are being set here.
     */
-    WorldEntity::WorldEntity(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    WorldEntity::WorldEntity(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(WorldEntity);
@@ -92,5 +92,5 @@
         this->bPhysicsActiveSynchronised_    = false;
         this->bPhysicsActiveBeforeAttaching_ = false;
-        this->collisionShape_ = new WorldEntityCollisionShape(this);
+        this->collisionShape_ = new WorldEntityCollisionShape(this->getContext());
         this->collisionShape_->setWorldEntityOwner(this);
         this->collisionType_             = None;
Index: code/branches/core6/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/WorldEntity.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/WorldEntity.h	(revision 9629)
@@ -90,5 +90,5 @@
 
         public:
-            WorldEntity(BaseObject* creator);
+            WorldEntity(Context* context);
             virtual ~WorldEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(Destroyer);
 
-    Destroyer::Destroyer(BaseObject* creator) : SpaceShip(creator)
+    Destroyer::Destroyer(Context* context) : SpaceShip(context)
     {
         RegisterObject(Destroyer);
Index: code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            Destroyer(BaseObject* creator);
+            Destroyer(Context* context);
             virtual ~Destroyer() {};
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 9629)
@@ -55,5 +55,5 @@
     CreateFactory(FpsPlayer);
 
-    FpsPlayer::FpsPlayer(BaseObject* creator) : Pawn(creator)
+    FpsPlayer::FpsPlayer(Context* context) : Pawn(context)
     {
         RegisterObject(FpsPlayer);
Index: code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            FpsPlayer(BaseObject* creator);
+            FpsPlayer(Context* context);
             virtual ~FpsPlayer();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9629)
@@ -51,7 +51,7 @@
     CreateFactory(Pawn);
 
-    Pawn::Pawn(BaseObject* creator)
-        : ControllableEntity(creator)
-        , RadarViewable(creator, static_cast<WorldEntity*>(this))
+    Pawn::Pawn(Context* context)
+        : ControllableEntity(context)
+        , RadarViewable(this, static_cast<WorldEntity*>(this))
     {
         RegisterObject(Pawn);
@@ -84,5 +84,5 @@
         if (GameMode::isMaster())
         {
-            this->weaponSystem_ = new WeaponSystem(this);
+            this->weaponSystem_ = new WeaponSystem(this->getContext());
             this->weaponSystem_->setPawn(this);
         }
@@ -297,5 +297,5 @@
         if (!this->spawnparticlesource_.empty())
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -334,5 +334,5 @@
         this->setDestroyWhenPlayerLeft(false);
 
-        BigExplosion* chunk = new BigExplosion(this->getCreator());
+        BigExplosion* chunk = new BigExplosion(this->getContext());
         chunk->setPosition(this->getPosition());
 
@@ -342,5 +342,5 @@
         // play death effect
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -350,5 +350,5 @@
         }
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -358,5 +358,5 @@
         }
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -367,5 +367,5 @@
         for (unsigned int i = 0; i < this->numexplosionchunks_; ++i)
         {
-            ExplosionChunk* chunk = new ExplosionChunk(this->getCreator());
+            ExplosionChunk* chunk = new ExplosionChunk(this->getContext());
             chunk->setPosition(this->getPosition());
         }
Index: code/branches/core6/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Pawn.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Pawn.h	(revision 9629)
@@ -45,5 +45,5 @@
 
         public:
-            Pawn(BaseObject* creator);
+            Pawn(Context* context);
             virtual ~Pawn();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 9629)
@@ -48,5 +48,5 @@
     CreateFactory(SpaceShip);
 
-    SpaceShip::SpaceShip(BaseObject* creator) : Pawn(creator), boostBlur_(NULL)
+    SpaceShip::SpaceShip(Context* context) : Pawn(context), boostBlur_(NULL)
     {
         RegisterObject(SpaceShip);
Index: code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 9629)
@@ -88,5 +88,5 @@
     {
         public:
-            SpaceShip(BaseObject* creator);
+            SpaceShip(Context* context);
             virtual ~SpaceShip();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Spectator.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Spectator.cc	(revision 9629)
@@ -47,5 +47,5 @@
     CreateFactory(Spectator);
 
-    Spectator::Spectator(BaseObject* creator) : ControllableEntity(creator)
+    Spectator::Spectator(Context* context) : ControllableEntity(context)
     {
         RegisterObject(Spectator);
Index: code/branches/core6/src/orxonox/worldentities/pawns/Spectator.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Spectator.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Spectator.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Spectator(BaseObject* creator);
+            Spectator(Context* context);
             virtual ~Spectator();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(TeamBaseMatchBase);
 
-    TeamBaseMatchBase::TeamBaseMatchBase(BaseObject* creator) : Pawn(creator)
+    TeamBaseMatchBase::TeamBaseMatchBase(Context* context) : Pawn(context)
     {
         RegisterObject(TeamBaseMatchBase);
Index: code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.h	(revision 9612)
+++ code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.h	(revision 9629)
@@ -50,5 +50,5 @@
     {
         public:
-            TeamBaseMatchBase(BaseObject* creator);
+            TeamBaseMatchBase(Context* context);
 
             // if class closes, close everything
